: Class ControlServerHelper

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.w3c.jigadmin.editors
Class ControlServerHelper

    java.lang.Object
      |
      +--java.awt.Component
            |
            +--java.awt.Container
                  |
                  +--javax.swing.JComponent
                        |
                        +--javax.swing.JToolBar
                              |
                              +--org.w3c.jigadmin.editors.ControlServerHelper

public class ControlServerHelper
extends javax.swing.JToolBar
implements ServerHelperInterface, ResourceActionSource

The server helper for the control resource.

See Also:
  Serialized Form

Inner classes inherited from class javax.swing.JToolBar
`javax.swing.JToolBar.AccessibleJToolBar, javax.swing.JToolBar.Separator`

Inner classes inherited from class javax.swing.JComponent
`javax.swing.JComponent.AccessibleJComponent`

Field Summary
`protected static java.lang.String` | `ADD_A`
`protected java.lang.String` | `addBTT`
`protected RemoteResourceWrapper` | `control`
`protected static java.lang.String` | `DELE_A`
`protected java.lang.String` | `deleBTT`
`protected static java.lang.String` | `EDIT_A`
`protected java.lang.String` | `editBTT`
`protected static java.lang.String` | `HELP_A`
`protected java.lang.String` | `helpBTT`
`protected java.util.Vector` | `listeners`
`protected java.lang.String` | `name`
`protected static java.lang.String` | `REFE_A`
`protected java.lang.String` | `refeBTT`
`protected static java.lang.String` | `REIN_A`
`protected java.lang.String` | `reinBTT`
`protected static java.lang.String` | `SAVE_A`
`protected java.lang.String` | `saveBTT`
`protected static java.lang.String` | `STOP_A`
`protected java.lang.String` | `stopBTT`
`protected java.lang.String` | `tooltip`

Fields inherited from class javax.swing.JComponent
`accessibleContext, listenerList, TOOL_TIP_TEXT_KEY, ui, UNDEFINED_CONDITION, WHEN_ANCESTOR_OF_FOCUSED_COMPONENT, WHEN_FOCUSED, WHEN_IN_FOCUSED_WINDOW`

Fields inherited from class java.awt.Component
`BOTTOM_ALIGNMENT, CENTER_ALIGNMENT, LEFT_ALIGNMENT, RIGHT_ALIGNMENT, TOP_ALIGNMENT`

Fields inherited from interface org.w3c.jigadmin.editors.ServerHelperInterface
`TOOLTIP_P`

Constructor Summary
`ControlServerHelper()` Constructor.

Method Summary
`void` | `addResourceActionListener(ResourceActionListener listener)` Add a ResourceActionListener.
`protected void` | `build()` Build the interface.
`protected void` | `fireResourceEvent(int type)` Fire a resource event.
`java.awt.Component` | `getComponent()` Get the helper Component
`java.lang.String` | `getName()` Get the helper name.
`java.lang.String` | `getToolTip()` Get the helper tooltip
`void` | `initialize(java.lang.String name, RemoteResourceWrapper rrw, java.util.Properties p)` Initialize this editor.
`void` | `removeResourceActionListener(ResourceActionListener listener)` Remove a ResourceActionListener.
`void` | `setAddToolTipText(java.lang.String tooltip)` Set the tooltip for the add button.
`void` | `setDeleteToolTipText(java.lang.String tooltip)` Set the tooltip for the delete button.
`void` | `setEditToolTipText(java.lang.String tooltip)` Set the tooltip for the edit button.
`void` | `setHelpToolTipText(java.lang.String tooltip)` Set the tooltip for the help button.
`void` | `setReferenceToolTipText(java.lang.String tooltip)` Set the tooltip for the information button.
`void` | `setReindexToolTipText(java.lang.String tooltip)` Set the tooltip for the reindex button.
`void` | `setResOpEnabled(boolean onoff)` Enable or disable the resource operations.
`void` | `setSaveToolTipText(java.lang.String tooltip)` Set the tooltip for the save button.
`void` | `setStopToolTipText(java.lang.String tooltip)` Set the tooltip for the stop button.

Methods inherited from class javax.swing.JToolBar
`add, addImpl, addSeparator, addSeparator, createActionChangeListener, getAccessibleContext, getComponentAtIndex, getComponentIndex, getMargin, getOrientation, getUI, getUIClassID, isBorderPainted, isFloatable, paintBorder, paramString, remove, setBorderPainted, setFloatable, setMargin, setOrientation, setUI, updateUI`

Methods inherited from class javax.swing.JComponent
`addAncestorListener, addNotify, addPropertyChangeListener, addPropertyChangeListener, addVetoableChangeListener, computeVisibleRect, contains, createToolTip, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, fireVetoableChange, getActionForKeyStroke, getAlignmentX, getAlignmentY, getAutoscrolls, getBorder, getBounds, getClientProperty, getComponentGraphics, getConditionForKeyStroke, getDebugGraphicsOptions, getGraphics, getHeight, getInsets, getInsets, getLocation, getMaximumSize, getMinimumSize, getNextFocusableComponent, getPreferredSize, getRegisteredKeyStrokes, getRootPane, getSize, getToolTipLocation, getToolTipText, getToolTipText, getTopLevelAncestor, getVisibleRect, getWidth, getX, getY, grabFocus, hasFocus, isDoubleBuffered, isFocusCycleRoot, isFocusTraversable, isLightweightComponent, isManagingFocus, isOpaque, isOptimizedDrawingEnabled, isPaintingTile, isRequestFocusEnabled, isValidateRoot, paint, paintChildren, paintComponent, paintImmediately, paintImmediately, print, printAll, processComponentKeyEvent, processFocusEvent, processKeyEvent, processMouseMotionEvent, putClientProperty, registerKeyboardAction, registerKeyboardAction, removeAncestorListener, removeNotify, removePropertyChangeListener, removePropertyChangeListener, removeVetoableChangeListener, repaint, repaint, requestDefaultFocus, requestFocus, resetKeyboardActions, reshape, revalidate, scrollRectToVisible, setAlignmentX, setAlignmentY, setAutoscrolls, setBackground, setBorder, setDebugGraphicsOptions, setDoubleBuffered, setEnabled, setFont, setForeground, setMaximumSize, setMinimumSize, setNextFocusableComponent, setOpaque, setPreferredSize, setRequestFocusEnabled, setToolTipText, setUI, setVisible, unregisterKeyboardAction, update`

Methods inherited from class java.awt.Container
`add, add, add, add, add, addContainerListener, countComponents, deliverEvent, doLayout, findComponentAt, findComponentAt, getComponent, getComponentAt, getComponentAt, getComponentCount, getComponents, getLayout, insets, invalidate, isAncestorOf, layout, list, list, locate, minimumSize, paintComponents, preferredSize, printComponents, processContainerEvent, processEvent, remove, removeAll, removeContainerListener, setCursor, setLayout, validate, validateTree`

Methods inherited from class java.awt.Component
`action, add, addComponentListener, addFocusListener, addInputMethodListener, addKeyListener, addMouseListener, addMouseMotionListener, bounds, checkImage, checkImage, coalesceEvents, contains, createImage, createImage, disable, disableEvents, dispatchEvent, enable, enable, enableEvents, enableInputMethods, getBackground, getBounds, getColorModel, getComponentOrientation, getCursor, getDropTarget, getFont, getFontMetrics, getForeground, getInputContext, getInputMethodRequests, getLocale, getLocation, getLocationOnScreen, getParent, getPeer, getSize, getToolkit, getTreeLock, gotFocus, handleEvent, hide, imageUpdate, inside, isDisplayable, isEnabled, isLightweight, isShowing, isValid, isVisible, keyDown, keyUp, list, list, list, location, lostFocus, mouseDown, mouseDrag, mouseEnter, mouseExit, mouseMove, mouseUp, move, nextFocus, paintAll, postEvent, prepareImage, prepareImage, processComponentEvent, processInputMethodEvent, processMouseEvent, remove, removeComponentListener, removeFocusListener, removeInputMethodListener, removeKeyListener, removeMouseListener, removeMouseMotionListener, repaint, repaint, repaint, resize, resize, setBounds, setBounds, setComponentOrientation, setDropTarget, setLocale, setLocation, setLocation, setName, setSize, setSize, show, show, size, toString, transferFocus`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### control

    protected RemoteResourceWrapper control

### listeners

    protected java.util.Vector listeners

### name

    protected java.lang.String name

### tooltip

    protected java.lang.String tooltip

### SAVE_A

    protected static final java.lang.String SAVE_A

### STOP_A

    protected static final java.lang.String STOP_A

### HELP_A

    protected static final java.lang.String HELP_A

### DELE_A

    protected static final java.lang.String DELE_A

### ADD_A

    protected static final java.lang.String ADD_A

### REIN_A

    protected static final java.lang.String REIN_A

### REFE_A

    protected static final java.lang.String REFE_A

### EDIT_A

    protected static final java.lang.String EDIT_A

### saveBTT

    protected java.lang.String saveBTT

### stopBTT

    protected java.lang.String stopBTT

### helpBTT

    protected java.lang.String helpBTT

### deleBTT

    protected java.lang.String deleBTT

### addBTT

    protected java.lang.String addBTT

### reinBTT

    protected java.lang.String reinBTT

### refeBTT

    protected java.lang.String refeBTT

### editBTT

    protected java.lang.String editBTT

Constructor Detail

### ControlServerHelper

    public ControlServerHelper()

  Constructor.

Method Detail

### addResourceActionListener

    public void addResourceActionListener(ResourceActionListener listener)

  Add a ResourceActionListener.
  Specified by:
    addResourceActionListener in interface ResourceActionSource
  Parameters:
    `listener` - the ResourceActionListener to add

### removeResourceActionListener

    public void removeResourceActionListener(ResourceActionListener listener)

  Remove a ResourceActionListener.
  Specified by:
    removeResourceActionListener in interface ResourceActionSource
  Parameters:
    `listener` - the ResourceActionListener to remove

### fireResourceEvent

    protected void fireResourceEvent(int type)

  Fire a resource event.
  Parameters:
    `type` - the resource event type
  See Also:
    `org.w3c.jigadmin.event.ResourceActionEvent`

### setResOpEnabled

    public void setResOpEnabled(boolean onoff)

  Enable or disable the resource operations.
  Parameters:
    `onoff` - a boolean.

### setSaveToolTipText

    public void setSaveToolTipText(java.lang.String tooltip)

  Set the tooltip for the save button.
  Parameters:
    `tooltip` - the tooltip

### setStopToolTipText

    public void setStopToolTipText(java.lang.String tooltip)

  Set the tooltip for the stop button.
  Parameters:
    `tooltip` - the tooltip

### setHelpToolTipText

    public void setHelpToolTipText(java.lang.String tooltip)

  Set the tooltip for the help button.
  Parameters:
    `tooltip` - the tooltip

### setDeleteToolTipText

    public void setDeleteToolTipText(java.lang.String tooltip)

  Set the tooltip for the delete button.
  Parameters:
    `tooltip` - the tooltip

### setAddToolTipText

    public void setAddToolTipText(java.lang.String tooltip)

  Set the tooltip for the add button.
  Parameters:
    `tooltip` - the tooltip

### setReindexToolTipText

    public void setReindexToolTipText(java.lang.String tooltip)

  Set the tooltip for the reindex button.
  Parameters:
    `tooltip` - the tooltip

### setReferenceToolTipText

    public void setReferenceToolTipText(java.lang.String tooltip)

  Set the tooltip for the information button.
  Parameters:
    `tooltip` - the tooltip

### setEditToolTipText

    public void setEditToolTipText(java.lang.String tooltip)

  Set the tooltip for the edit button.
  Parameters:
    `tooltip` - the tooltip

### initialize

    public void initialize(java.lang.String name,
                           RemoteResourceWrapper rrw,
                           java.util.Properties p)

  Initialize this editor.
  Parameters:
    `name` - the editor name
    `rrw` - the RemoteResourceWrapper wrapping the editor node.
    `p` - the editor properties

### build

    protected void build()

  Build the interface.

### getName

    public java.lang.String getName()

  Get the helper name.
  Specified by:
    getName in interface ServerHelperInterface
  Overrides:
    getName in class java.awt.Component
  Returns:
    a String instance

### getToolTip

    public java.lang.String getToolTip()

  Get the helper tooltip
  Specified by:
    getToolTip in interface ServerHelperInterface
  Returns:
    a String

### getComponent

    public java.awt.Component getComponent()

  Get the helper Component
  Returns:
    a Component instance

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD